/*
 * $Id: LogWriterAdapter.java 5952 2024-10-21 11:41:05Z carsten $
 *
 * Copyright 2011 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.logging;

import de.cm.osm2po.Config;
import de.cm.osm2po.logging.Log.Level;

/**
 * Ein {@link LogWriter}, der nix loggt.
 * @author (c) 2017 - Carsten Moeller, info@osm2po.de
 */
public class LogWriterAdapter implements LogWriter {
    @Override public LogWriter open(Config config, int index) {return this;}
    @Override public void log(String message, Level logLevel) {}
	@Override public LogWriter setLogLevel(Level logLevel) {return this;}
	@Override public Level getLogLevel() {return Level.NULL;}
    @Override public void close() {}
}
